<?php

/**
 * @license LGPLv3, http://opensource.org/licenses/LGPL-3.0
 * @copyright Aimeos (aimeos.org), 2015
 */

return array(
	'delete' => array(
		'ansi' => '
			DELETE FROM "fos_user_address"
			WHERE :cond
		',
	),
	'insert' => array(
		'ansi' => '
			INSERT INTO "fos_user_address" (
				"siteid", "parentid", "company", "vatid", "salutation", "title",
				"firstname", "lastname", "address1", "address2", "address3",
				"postal", "city", "state", "countryid", "langid", "telephone",
				"email", "telefax", "website", "flag", "pos", "mtime",
				"editor", "ctime"
			) VALUES (
				?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?
			)
		',
	),
	'update' => array(
		'ansi' => '
			UPDATE "fos_user_address"
			SET "siteid" = ?, "parentid" = ?, "company" = ?, "vatid" = ?, "salutation" = ?,
				"title" = ?, "firstname" = ?, "lastname" = ?, "address1" = ?,
				"address2" = ?, "address3" = ?, "postal" = ?, "city" = ?,
				"state" = ?, "countryid" = ?, "langid" = ?, "telephone" = ?,
				"email" = ?, "telefax" = ?, "website" = ?, "flag" = ?,
				"pos" = ?, "mtime" = ?, "editor" = ?
			WHERE "id" = ?
		',
	),
	'search' => array(
		'ansi' => '
			SELECT DISTINCT fosad."id" AS "customer.address.id", fosad."parentid" AS "customer.address.parentid",
				fosad."company" AS "customer.address.company", fosad."vatid" AS "customer.address.vatid",
				fosad."salutation" AS "customer.address.salutation", fosad."title" AS "customer.address.title",
				fosad."firstname" AS "customer.address.firstname", fosad."lastname" AS "customer.address.lastname",
				fosad."address1" AS "customer.address.address1", fosad."address2" AS "customer.address.address2",
				fosad."address3" AS "customer.address.address3", fosad."postal" AS "customer.address.postal",
				fosad."city" AS "customer.address.city", fosad."state" AS "customer.address.state",
				fosad."countryid" AS "customer.address.countryid", fosad."langid" AS "customer.address.languageid",
				fosad."telephone" AS "customer.address.telephone", fosad."email" AS "customer.address.email",
				fosad."telefax" AS "customer.address.telefax", fosad."website" AS "customer.address.website",
				fosad."flag" AS "customer.address.flag", fosad."pos" AS "customer.address.position",
				fosad."mtime" AS "customer.address.mtime", fosad."editor" AS "customer.address.editor",
				fosad."ctime" AS "customer.address.ctime"
			FROM "fos_user_address" AS fosad
			:joins
			WHERE :cond
			/*-orderby*/ ORDER BY :order /*orderby-*/
			LIMIT :size OFFSET :start
		',
	),
	'count' => array(
		'ansi' => '
			SELECT COUNT(*) AS "count"
			FROM (
				SELECT DISTINCT fosad."id"
				FROM "fos_user_address" AS fosad
				:joins
				WHERE :cond
				LIMIT 10000 OFFSET 0
			) AS list
		',
	),
	'newid' => array(
		'mysql' => 'SELECT LAST_INSERT_ID()'
	),
);
